<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy ui_mainwindow.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('build_2ui__mainwindow_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">build/ui_mainwindow.h</div></div>
</div><!--header-->
<div class="contents">
<a href="build_2ui__mainwindow_8h.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/********************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">** Form generated from reading UI file &#39;mainwindow.ui&#39;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">**</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">** Created by: Qt User Interface Compiler version 6.5.0</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">**</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">** WARNING! All changes made in this file will be lost when recompiling UI file!</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">********************************************************************************/</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#ifndef UI_MAINWINDOW_H</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">#define UI_MAINWINDOW_H</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &lt;QtCore/QVariant&gt;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;QtWidgets/QApplication&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &lt;QtWidgets/QMainWindow&gt;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &lt;QtWidgets/QMenuBar&gt;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &lt;QtWidgets/QStatusBar&gt;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="preprocessor">#include &lt;QtWidgets/QWidget&gt;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>QT_BEGIN_NAMESPACE</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">class </span><a class="code hl_class" href="class_ui___main_window.html">Ui_MainWindow</a></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    QWidget *<a class="code hl_variable" href="class_ui___main_window.html#a39420100bfee3ba57f137af5a3b0f8e9">centralwidget</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    QMenuBar *<a class="code hl_variable" href="class_ui___main_window.html#a734b1d3bb71c1b8e1ea01b7fa4344fce">menubar</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    QStatusBar *<a class="code hl_variable" href="class_ui___main_window.html#a07519bbb9a350befd6feb4e84ef299fd">statusbar</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="class_ui___main_window.html#acf4a0872c4c77d8f43a2ec66ed849b58">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_ui___main_window.html#acf4a0872c4c77d8f43a2ec66ed849b58">setupUi</a>(QMainWindow *<a class="code hl_class" href="class_main_window.html">MainWindow</a>)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="class_main_window.html">MainWindow</a>-&gt;objectName().isEmpty())</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_class" href="class_main_window.html">MainWindow</a>-&gt;setObjectName(<span class="stringliteral">&quot;MainWindow&quot;</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_class" href="class_main_window.html">MainWindow</a>-&gt;resize(800, 600);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="class_ui___main_window.html#a39420100bfee3ba57f137af5a3b0f8e9">centralwidget</a> = <span class="keyword">new</span> QWidget(<a class="code hl_class" href="class_main_window.html">MainWindow</a>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="class_ui___main_window.html#a39420100bfee3ba57f137af5a3b0f8e9">centralwidget</a>-&gt;setObjectName(<span class="stringliteral">&quot;centralwidget&quot;</span>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_class" href="class_main_window.html">MainWindow</a>-&gt;setCentralWidget(<a class="code hl_variable" href="class_ui___main_window.html#a39420100bfee3ba57f137af5a3b0f8e9">centralwidget</a>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="class_ui___main_window.html#a734b1d3bb71c1b8e1ea01b7fa4344fce">menubar</a> = <span class="keyword">new</span> QMenuBar(<a class="code hl_class" href="class_main_window.html">MainWindow</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="class_ui___main_window.html#a734b1d3bb71c1b8e1ea01b7fa4344fce">menubar</a>-&gt;setObjectName(<span class="stringliteral">&quot;menubar&quot;</span>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_class" href="class_main_window.html">MainWindow</a>-&gt;setMenuBar(<a class="code hl_variable" href="class_ui___main_window.html#a734b1d3bb71c1b8e1ea01b7fa4344fce">menubar</a>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="class_ui___main_window.html#a07519bbb9a350befd6feb4e84ef299fd">statusbar</a> = <span class="keyword">new</span> QStatusBar(<a class="code hl_class" href="class_main_window.html">MainWindow</a>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="class_ui___main_window.html#a07519bbb9a350befd6feb4e84ef299fd">statusbar</a>-&gt;setObjectName(<span class="stringliteral">&quot;statusbar&quot;</span>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_class" href="class_main_window.html">MainWindow</a>-&gt;setStatusBar(<a class="code hl_variable" href="class_ui___main_window.html#a07519bbb9a350befd6feb4e84ef299fd">statusbar</a>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618">retranslateUi</a>(<a class="code hl_class" href="class_main_window.html">MainWindow</a>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        QMetaObject::connectSlotsByName(<a class="code hl_class" href="class_main_window.html">MainWindow</a>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    } <span class="comment">// setupUi</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618">   48</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618">retranslateUi</a>(QMainWindow *<a class="code hl_class" href="class_main_window.html">MainWindow</a>)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="class_main_window.html">MainWindow</a>-&gt;setWindowTitle(QCoreApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="keyword">nullptr</span>));</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    } <span class="comment">// retranslateUi</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>};</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespace_ui.html">Ui</a> {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="keyword">class </span><a class="code hl_class" href="class_main_window.html">MainWindow</a>: <span class="keyword">public</span> <a class="code hl_class" href="class_ui___main_window.html">Ui_MainWindow</a> {};</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>} <span class="comment">// namespace Ui</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>QT_END_NAMESPACE</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="preprocessor">#endif </span><span class="comment">// UI_MAINWINDOW_H</span></div>
<div class="ttc" id="aclass_main_window_html"><div class="ttname"><a href="class_main_window.html">MainWindow</a></div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00019">MainWindow.hpp:20</a></div></div>
<div class="ttc" id="aclass_ui___main_window_html"><div class="ttname"><a href="class_ui___main_window.html">Ui_MainWindow</a></div><div class="ttdef"><b>Definition</b> <a href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00021">build-Robomap-LinuxMint-Debug/ui_mainwindow.h:22</a></div></div>
<div class="ttc" id="aclass_ui___main_window_html_a07519bbb9a350befd6feb4e84ef299fd"><div class="ttname"><a href="class_ui___main_window.html#a07519bbb9a350befd6feb4e84ef299fd">Ui_MainWindow::statusbar</a></div><div class="ttdeci">QStatusBar * statusbar</div><div class="ttdef"><b>Definition</b> <a href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00026">build-Robomap-LinuxMint-Debug/ui_mainwindow.h:26</a></div></div>
<div class="ttc" id="aclass_ui___main_window_html_a097dd160c3534a204904cb374412c618"><div class="ttname"><a href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618">Ui_MainWindow::retranslateUi</a></div><div class="ttdeci">void retranslateUi(QMainWindow *MainWindow)</div><div class="ttdef"><b>Definition</b> <a href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00048">build-Robomap-LinuxMint-Debug/ui_mainwindow.h:48</a></div></div>
<div class="ttc" id="aclass_ui___main_window_html_a39420100bfee3ba57f137af5a3b0f8e9"><div class="ttname"><a href="class_ui___main_window.html#a39420100bfee3ba57f137af5a3b0f8e9">Ui_MainWindow::centralwidget</a></div><div class="ttdeci">QWidget * centralwidget</div><div class="ttdef"><b>Definition</b> <a href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00024">build-Robomap-LinuxMint-Debug/ui_mainwindow.h:24</a></div></div>
<div class="ttc" id="aclass_ui___main_window_html_a734b1d3bb71c1b8e1ea01b7fa4344fce"><div class="ttname"><a href="class_ui___main_window.html#a734b1d3bb71c1b8e1ea01b7fa4344fce">Ui_MainWindow::menubar</a></div><div class="ttdeci">QMenuBar * menubar</div><div class="ttdef"><b>Definition</b> <a href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00025">build-Robomap-LinuxMint-Debug/ui_mainwindow.h:25</a></div></div>
<div class="ttc" id="aclass_ui___main_window_html_acf4a0872c4c77d8f43a2ec66ed849b58"><div class="ttname"><a href="class_ui___main_window.html#acf4a0872c4c77d8f43a2ec66ed849b58">Ui_MainWindow::setupUi</a></div><div class="ttdeci">void setupUi(QMainWindow *MainWindow)</div><div class="ttdef"><b>Definition</b> <a href="build_2ui__mainwindow_8h_source.html#l00028">build/ui_mainwindow.h:28</a></div></div>
<div class="ttc" id="anamespace_ui_html"><div class="ttname"><a href="namespace_ui.html">Ui</a></div><div class="ttdef"><b>Definition</b> <a href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00055">build-Robomap-LinuxMint-Debug/ui_mainwindow.h:55</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4fef79e7177ba769987a8da36c892c5f.html">build</a></li><li class="navelem"><a class="el" href="build_2ui__mainwindow_8h.html">ui_mainwindow.h</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
